OpenJPEG: opj_j2k Struct Reference

OpenJPEG 2.5.4

Data Fields
opj_j2k Struct Reference

JPEG-2000 codestream reader/writer. More...

`#include <j2k.h>`

## Data Fields
OPJ_BOOL | m_is_decoder
union { |
opj_j2k_dec_t m_decoder |
opj_j2k_enc_t m_encoder |
} | m_specific_param
opj_image_t * | m_private_image
| pointer to the internal/private encoded / decoded image
opj_image_t * | m_output_image
opj_cp_t | m_cp
| Coding parameters.
opj_procedure_list_t * | m_procedure_list
| the list of procedures to exec
opj_procedure_list_t * | m_validation_list
| the list of validation procedures to follow to make sure the code is valid
opj_codestream_index_t * | cstr_index
| helper used to write the index file
OPJ_UINT32 | m_current_tile_number
| number of the tile currently concern by coding/decoding
struct opj_tcd * | m_tcd
| the current tile coder/decoder
opj_thread_pool_t * | m_tp
| Thread pool.
OPJ_UINT32 | ihdr_w
| Image width coming from JP2 IHDR box.
OPJ_UINT32 | ihdr_h
| Image height coming from JP2 IHDR box.
unsigned int | dump_state
| Set to 1 by the decoder initialization if OPJ_DPARAMETERS_DUMP_FLAG is set.

## Detailed Description

JPEG-2000 codestream reader/writer.

## Field Documentation

## ◆ cstr_index

opj_codestream_index_t* opj_j2k::cstr_index

helper used to write the index file

Referenced by j2k_get_cstr_index(), opj_j2k_allocate_tile_element_cstr_index(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_create_decompress(), opj_j2k_decode_one_tile(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_destroy(), opj_j2k_dump_MH_index(), opj_j2k_get_end_header(), opj_j2k_read_header_procedure(), opj_j2k_read_soc(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_tile_header(), opj_j2k_read_unk(), opj_j2k_setup_header_writing(), and opj_j2k_write_epc().

## ◆ dump_state

unsigned int opj_j2k::dump_state

Set to 1 by the decoder initialization if OPJ_DPARAMETERS_DUMP_FLAG is set.

Referenced by opj_j2k_read_siz(), and opj_j2k_setup_decoder().

## ◆ ihdr_h

OPJ_UINT32 opj_j2k::ihdr_h

Image height coming from JP2 IHDR box.

0 from a pure codestream

Referenced by opj_j2k_read_siz(), and opj_jp2_read_ihdr().

## ◆ ihdr_w

OPJ_UINT32 opj_j2k::ihdr_w

Image width coming from JP2 IHDR box.

0 from a pure codestream

Referenced by opj_j2k_read_siz(), and opj_jp2_read_ihdr().

## ◆ m_cp

opj_cp_t opj_j2k::m_cp

Coding parameters.

Referenced by j2k_dump(), j2k_get_cstr_info(), opj_j2k_allocate_tile_element_cstr_index(), opj_j2k_compare_coc(), opj_j2k_compare_SPCod_SPCoc(), opj_j2k_compare_SQcd_SQcc(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_create_compress(), opj_j2k_create_decompress(), opj_j2k_create_tcd(), opj_j2k_decode(), opj_j2k_decode_one_tile(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_decoder_set_strict_mode(), opj_j2k_destroy(), opj_j2k_dump_MH_info(), opj_j2k_encode(), opj_j2k_encoder_set_extra_options(), opj_j2k_encoding_validation(), opj_j2k_get_max_coc_size(), opj_j2k_get_max_poc_size(), opj_j2k_get_max_toc_size(), opj_j2k_get_SPCod_SPCoc_size(), opj_j2k_get_specific_header_sizes(), opj_j2k_get_SQcd_SQcc_size(), opj_j2k_get_tile(), opj_j2k_init_info(), opj_j2k_mct_validation(), opj_j2k_pre_write_tile(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_header_procedure(), opj_j2k_read_mcc(), opj_j2k_read_mco(), opj_j2k_read_mct(), opj_j2k_read_poc(), opj_j2k_read_ppm(), opj_j2k_read_ppt(), opj_j2k_read_qcc(), opj_j2k_read_rgn(), opj_j2k_read_siz(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_read_SQcd_SQcc(), opj_j2k_read_tile_header(), opj_j2k_read_tlm(), opj_j2k_set_decode_area(), opj_j2k_set_decoded_resolution_factor(), opj_j2k_setup_decoder(), opj_j2k_setup_encoder(), opj_j2k_setup_header_writing(), opj_j2k_update_rates(), opj_j2k_write_all_tile_parts(), opj_j2k_write_coc_in_memory(), opj_j2k_write_cod(), opj_j2k_write_com(), opj_j2k_write_first_tile_part(), opj_j2k_write_mco(), opj_j2k_write_mct_data_group(), opj_j2k_write_poc(), opj_j2k_write_poc_in_memory(), opj_j2k_write_regions(), opj_j2k_write_rgn(), opj_j2k_write_siz(), opj_j2k_write_sot(), opj_j2k_write_SPCod_SPCoc(), opj_j2k_write_SQcd_SQcc(), and opj_jp2_read_ihdr().

## ◆ m_current_tile_number

OPJ_UINT32 opj_j2k::m_current_tile_number

number of the tile currently concern by coding/decoding

Referenced by opj_j2k_compare_coc(), opj_j2k_compare_qcc(), opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_post_write_tile(), opj_j2k_pre_write_tile(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_mcc(), opj_j2k_read_mco(), opj_j2k_read_mct(), opj_j2k_read_poc(), opj_j2k_read_ppt(), opj_j2k_read_rgn(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_read_SQcd_SQcc(), opj_j2k_read_tile_header(), opj_j2k_update_tlm(), opj_j2k_write_all_tile_parts(), opj_j2k_write_coc(), opj_j2k_write_coc_in_memory(), opj_j2k_write_cod(), opj_j2k_write_first_tile_part(), opj_j2k_write_mco(), opj_j2k_write_mct_data_group(), opj_j2k_write_poc(), opj_j2k_write_poc_in_memory(), opj_j2k_write_qcc(), opj_j2k_write_qcc_in_memory(), opj_j2k_write_qcd(), opj_j2k_write_sod(), and opj_j2k_write_sot().

## ◆ m_decoder

opj_j2k_dec_t opj_j2k::m_decoder

Referenced by j2k_get_cstr_info(), opj_j2k_are_all_used_components_decoded(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_create_decompress(), opj_j2k_decode_one_tile(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_decoder_set_strict_mode(), opj_j2k_decoding_validation(), opj_j2k_destroy(), opj_j2k_dump_MH_info(), opj_j2k_encoding_validation(), opj_j2k_get_tile(), opj_j2k_move_data_from_codec_to_output_image(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_header_procedure(), opj_j2k_read_mcc(), opj_j2k_read_mco(), opj_j2k_read_mct(), opj_j2k_read_poc(), opj_j2k_read_rgn(), opj_j2k_read_siz(), opj_j2k_read_soc(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_read_SQcd_SQcc(), opj_j2k_read_tile_header(), opj_j2k_read_tlm(), opj_j2k_read_unk(), opj_j2k_set_decode_area(), opj_j2k_set_decoded_components(), opj_j2k_set_decoded_resolution_factor(), and opj_jp2_apply_color_postprocessing().

## ◆ m_encoder

opj_j2k_enc_t opj_j2k::m_encoder

Referenced by opj_j2k_create_compress(), opj_j2k_destroy(), opj_j2k_destroy_header_memory(), opj_j2k_encoder_set_extra_options(), opj_j2k_end_encoding(), opj_j2k_get_specific_header_sizes(), opj_j2k_init_info(), opj_j2k_post_write_tile(), opj_j2k_pre_write_tile(), opj_j2k_setup_encoder(), opj_j2k_setup_end_compress(), opj_j2k_setup_header_writing(), opj_j2k_update_rates(), opj_j2k_update_tlm(), opj_j2k_write_all_tile_parts(), opj_j2k_write_cbd(), opj_j2k_write_coc(), opj_j2k_write_cod(), opj_j2k_write_com(), opj_j2k_write_eoc(), opj_j2k_write_first_tile_part(), opj_j2k_write_mcc_record(), opj_j2k_write_mco(), opj_j2k_write_mct_record(), opj_j2k_write_poc(), opj_j2k_write_qcc(), opj_j2k_write_qcd(), opj_j2k_write_rgn(), opj_j2k_write_siz(), opj_j2k_write_soc(), opj_j2k_write_sod(), opj_j2k_write_sot(), opj_j2k_write_tlm(), and opj_j2k_write_updated_tlm().

## ◆ m_is_decoder

OPJ_BOOL opj_j2k::m_is_decoder

Referenced by opj_j2k_create_compress(), opj_j2k_create_decompress(), and opj_j2k_destroy().

## ◆ m_output_image

opj_image_t* opj_j2k::m_output_image

Referenced by opj_j2k_are_all_used_components_decoded(), opj_j2k_decode(), opj_j2k_decode_one_tile(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_destroy(), opj_j2k_get_tile(), and opj_j2k_move_data_from_codec_to_output_image().

## ◆ m_private_image

opj_image_t* opj_j2k::m_private_image

pointer to the internal/private encoded / decoded image

Referenced by j2k_dump(), j2k_get_cstr_info(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_create_tcd(), opj_j2k_decode(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_destroy(), opj_j2k_dump_MH_info(), opj_j2k_get_max_coc_size(), opj_j2k_get_specific_header_sizes(), opj_j2k_get_tile(), opj_j2k_init_info(), opj_j2k_mct_validation(), opj_j2k_move_data_from_codec_to_output_image(), opj_j2k_read_cbd(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_crg(), opj_j2k_read_header(), opj_j2k_read_mco(), opj_j2k_read_poc(), opj_j2k_read_qcc(), opj_j2k_read_rgn(), opj_j2k_read_siz(), opj_j2k_set_decode_area(), opj_j2k_set_decoded_components(), opj_j2k_set_decoded_resolution_factor(), opj_j2k_start_compress(), opj_j2k_update_rates(), opj_j2k_write_all_coc(), opj_j2k_write_all_qcc(), opj_j2k_write_cbd(), opj_j2k_write_coc(), opj_j2k_write_coc_in_memory(), opj_j2k_write_first_tile_part(), opj_j2k_write_poc(), opj_j2k_write_poc_in_memory(), opj_j2k_write_qcc(), opj_j2k_write_qcc_in_memory(), opj_j2k_write_regions(), opj_j2k_write_siz(), and opj_j2k_write_SPCod_SPCoc().

## ◆ m_procedure_list

opj_procedure_list_t* opj_j2k::m_procedure_list

the list of procedures to exec

Referenced by opj_j2k_create_compress(), opj_j2k_create_decompress(), opj_j2k_decode(), opj_j2k_decoding_validation(), opj_j2k_destroy(), opj_j2k_encoding_validation(), opj_j2k_end_compress(), opj_j2k_get_tile(), opj_j2k_read_header(), opj_j2k_setup_decoding(), opj_j2k_setup_decoding_tile(), opj_j2k_setup_end_compress(), opj_j2k_setup_header_reading(), opj_j2k_setup_header_writing(), and opj_j2k_start_compress().

## ◆ [union]

union { ... } opj_j2k::m_specific_param

Referenced by j2k_get_cstr_info(), opj_j2k_are_all_used_components_decoded(), opj_j2k_build_tp_index_from_tlm(), opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_copy_tile_component_parameters(), opj_j2k_copy_tile_quantization_parameters(), opj_j2k_create_compress(), opj_j2k_create_decompress(), opj_j2k_decode_one_tile(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_decoder_set_strict_mode(), opj_j2k_decoding_validation(), opj_j2k_destroy(), opj_j2k_destroy_header_memory(), opj_j2k_dump_MH_info(), opj_j2k_encoder_set_extra_options(), opj_j2k_encoding_validation(), opj_j2k_end_encoding(), opj_j2k_get_specific_header_sizes(), opj_j2k_get_tile(), opj_j2k_init_info(), opj_j2k_move_data_from_codec_to_output_image(), opj_j2k_post_write_tile(), opj_j2k_pre_write_tile(), opj_j2k_read_coc(), opj_j2k_read_cod(), opj_j2k_read_header_procedure(), opj_j2k_read_mcc(), opj_j2k_read_mco(), opj_j2k_read_mct(), opj_j2k_read_poc(), opj_j2k_read_rgn(), opj_j2k_read_siz(), opj_j2k_read_soc(), opj_j2k_read_sod(), opj_j2k_read_sot(), opj_j2k_read_SPCod_SPCoc(), opj_j2k_read_SQcd_SQcc(), opj_j2k_read_tile_header(), opj_j2k_read_tlm(), opj_j2k_read_unk(), opj_j2k_set_decode_area(), opj_j2k_set_decoded_components(), opj_j2k_set_decoded_resolution_factor(), opj_j2k_setup_encoder(), opj_j2k_setup_end_compress(), opj_j2k_setup_header_writing(), opj_j2k_update_rates(), opj_j2k_update_tlm(), opj_j2k_write_all_tile_parts(), opj_j2k_write_cbd(), opj_j2k_write_coc(), opj_j2k_write_cod(), opj_j2k_write_com(), opj_j2k_write_eoc(), opj_j2k_write_first_tile_part(), opj_j2k_write_mcc_record(), opj_j2k_write_mco(), opj_j2k_write_mct_record(), opj_j2k_write_poc(), opj_j2k_write_qcc(), opj_j2k_write_qcd(), opj_j2k_write_rgn(), opj_j2k_write_siz(), opj_j2k_write_soc(), opj_j2k_write_sod(), opj_j2k_write_sot(), opj_j2k_write_tlm(), opj_j2k_write_updated_tlm(), and opj_jp2_apply_color_postprocessing().

## ◆ m_tcd

struct opj_tcd* opj_j2k::m_tcd

the current tile coder/decoder

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_create_tcd(), opj_j2k_decode_one_tile(), opj_j2k_decode_tile(), opj_j2k_decode_tiles(), opj_j2k_destroy(), opj_j2k_encode(), opj_j2k_end_encoding(), opj_j2k_pre_write_tile(), opj_j2k_read_tile_header(), opj_j2k_set_threads(), opj_j2k_write_all_tile_parts(), opj_j2k_write_first_tile_part(), and opj_j2k_write_tile().

## ◆ m_tp

opj_thread_pool_t* opj_j2k::m_tp

Thread pool.

Referenced by opj_j2k_copy_default_tcp_and_create_tcd(), opj_j2k_create_compress(), opj_j2k_create_decompress(), opj_j2k_create_tcd(), opj_j2k_destroy(), and opj_j2k_set_threads().

## ◆ m_validation_list

opj_procedure_list_t* opj_j2k::m_validation_list

the list of validation procedures to follow to make sure the code is valid

Referenced by opj_j2k_create_compress(), opj_j2k_create_decompress(), opj_j2k_decoding_validation(), opj_j2k_destroy(), opj_j2k_encoding_validation(), opj_j2k_read_header(), opj_j2k_setup_decoding_validation(), opj_j2k_setup_encoding_validation(), and opj_j2k_start_compress().

The documentation for this struct was generated from the following file:

- j2k.h